
Redmine - Feature #26620

Change the text of the submit button on search page from button_submit to label_search

2017-08-03 17:36 - Dmitry Lisichkin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 4.0.0   
Description

:button_search is more intuitive then :button_submit

Associated revisions

Revision 17683 - 2018-12-02 15:15 - Go MAEDA

Change the text of the submit button on search page from button_submit to label_search (#26620).

Patch by Dmitry Lisichkin.

Revision 17684 - 2018-12-02 16:31 - Go MAEDA

Fix for r17683: s/button_search/label_search/ (#26620).

History

#1 - 2017-08-03 17:59 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Where is "button_search" defined?

"button_submit" is defined at source:trunk/config/locales/en.yml@16905#L1030 .

#2 - 2017-08-03 19:00 - Dmitry Lisichkin

Sorry, I didn't notice that button_search is not defined in core.

I just try to remove maximum of patches from our plugins=).

Problem that button_submit have translations that not always appropriate in some contexts.

In russian it translated as "Принять" and it looks very strange on search page but looks normal on most of other forms.

So I think was good if button_search would be in core too.

#3 - 2017-09-02 05:43 - Toshi MARUYAMA

Dmitry Lisichkin wrote:

So I think was good if button_search would be in core too.

 Do you think :button_search should be used in only app/views/search/index.html.erb?

In other word, other :button_submit should be kept?

#4 - 2017-09-02 05:43 - Toshi MARUYAMA

- Category changed from UI to Translations

#5 - 2017-09-02 05:46 - Toshi MARUYAMA

What do you think :button_search should be in English en.yml?

#6 - 2017-10-05 19:03 - Dmitry Lisichkin

Sorry for long response.

Yes I think button_search should be in en.yaml even with only one usage in view.

IMHO "search"-button on search form is much better then "submit"-button.

#7 - 2017-11-04 14:29 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/16905/entry/trunk/config/locales/en.yml#L1030


- Target version set to 4.1.0

#8 - 2018-12-02 15:15 - Go MAEDA

- Tracker changed from Defect to Feature

- Subject changed from Wrong text of submit button on search page to Change the text of the submit button on search page from button_submit to

label_search

- Category changed from Translations to Search engine

- Status changed from Needs feedback to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for improving Redmine.

#9 - 2018-12-02 16:27 - Marius BĂLTEANU

- File button_search.png added

- Status changed from Closed to Reopened

For me, this change generates "translation missing: en.button_search". Please see the below screenshot.

 button_search.png 

In the existing locales, we have only "label_search". We can use this one (my option) or we need to add the "button_search" to locales.

diff --git a/app/views/search/index.html.erb b/app/views/search/index.html.erb

index 1e80d57..682c11a 100644

--- a/app/views/search/index.html.erb

+++ b/app/views/search/index.html.erb

@@ -32,7 +32,7 @@

 <%= hidden_field_tag 'options', '', :id => 'show-options' %>

 </div>

-<p><%= submit_tag l(:button_submit) %></p>

+<p><%= submit_tag l(:button_search) %></p>

 <% end %>

 <% if @results %>

#10 - 2018-12-02 16:34 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

For me, this change generates "translation missing: en.button_search". Please see the below screenshot.

 button_search.png 

In the existing locales, we have only "label_search". We can use this one (my option) or we need to add the "button_search" to locales.

 Fixed in r17684. Thanks.

I changed button_search to label_search before committing as I wrote in the commit message, but probably I mistakenly reverted the local change

and applied original patch again.

Files

fix_button_text.patch 542 Bytes 2017-08-03 Dmitry Lisichkin

button_search.png 102 KB 2018-12-02 Marius BĂLTEANU
